Summary:	A text editor for the X Window System
Name:		nedit
Version:	5.7
Release:	%mkrel 6
License:	GPLv2+ with exception
URL:		https://sourceforge.net/projects/nedit/
Group:		Editors
Source0:	%{name}-%{version}-src.tar.gz
Patch0:		nedit-5.4-Makefile.patch
Patch1:		nedit-5.5-security.patch
#Patch3:		nedit-5.5-64bit-fixes.patch
Patch6: 	nedit-5.5-nc-manfix.patch
Patch7: 	nedit-5.5-visfix.patch
# Fix some string literal errors - AdamW 2008/12
BuildRequires:	byacc
BuildRequires:	pkgconfig(x11)
BuildRequires:	motif-devel
BuildRequires:	pkgconfig(xt)
BuildRequires:	perl
Requires:	x11-font-adobe-100dpi

%description
NEdit is a multi-purpose text editor for the X Window System, which
combines a standard, easy to use, graphical user interface with the
thorough functionality and stability required by users who edit text
eight hours a day.

It provides intensive support for development in a wide variety of
languages, text processors, and other tools, but at the same time can
be used productively by just about anyone who needs to edit text.

%prep
%setup -q
%patch -P 0 -p1 -b .Makefile
%patch -P 1 -p1 -b .security
#patch -P 3 -p1 -b .64bit-fixes
%patch -P 6 -p1 -b .nc-manfix
%patch -P 7 -p1 -b .visfix

# make it lib64 aware
perl -pi -e "s,(/usr/X11R6)/lib\b,\1/%{_lib},g" makefiles/Makefile.linux

%build
echo | %make_build linux OPT="%{optflags} -std=gnu17 -DBUILD_UNTESTED_NEDIT %ldflags"
pushd doc
make doc man
popd

%install
(cd doc;
  mkdir -p %{buildroot}%{_mandir}/man1
  install -m 644 nedit.man %{buildroot}%{_mandir}/man1/%{name}.1
  install -m 644 nc.man %{buildroot}%{_mandir}/man1/nedit-nc.1
)
(cd source;
  mkdir -p %{buildroot}%{_bindir}
  install -m 755 nedit %{buildroot}%{_bindir}/nedit
  install -m 755 nc %{buildroot}%{_bindir}/nedit-nc
)

# Mageia menu entry

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=NEdit
Comment=A text editor for the X Window System
Exec=%{_bindir}/%{name}
Icon=editors_section
Terminal=false
Type=Application
StartupNotify=true
MimeType=text/plain;
Categories=Utility;TextEditor;
EOF

%files
%doc README ReleaseNotes doc/nedit.doc
%{_bindir}/%{name}
%{_bindir}/nedit-nc
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/nedit-nc.1*
%{_datadir}/applications/mageia-%{name}.desktop





%changelog
* Wed May 21 2025 ns80 <ns80> 5.7-6.mga10
+ Revision: 2185502
- try to fix building with GCC 15

* Sun Dec 22 2024 pterjan <pterjan> 5.7-5.mga10
+ Revision: 2127882
- Rebuild for patchN deprecation

* Wed Mar 30 2022 umeabot <umeabot> 5.7-4.mga9
+ Revision: 1834544
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 5.7-3.mga8
+ Revision: 1515339
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 5.7-2.mga7
+ Revision: 1299692
- Mageia 7 Mass Rebuild

* Sat Mar 18 2017 shlomif <shlomif> 5.7-1.mga6
+ Revision: 1093531
- add BR
- New version 5.7

* Sat Jul 16 2016 shlomif <shlomif> 5.6-2.mga6
+ Revision: 1042255
- Bump rel
- Rename ncl to "nedit-nc" due to MGA#18955 (conflict with ncl).

* Sun May 15 2016 cjw <cjw> 5.6-1.mga6
+ Revision: 1015679
- version 5.6a
- drop patches included upstream
- use make_build rpm macro
- rediff remaining patches

* Wed Feb 03 2016 umeabot <umeabot> 5.5-16.mga6
+ Revision: 934024
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.5-15.mga5
+ Revision: 745108
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.5-14.mga5
+ Revision: 682825
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.5-13.mga4
+ Revision: 522246
- Mageia 4 Mass Rebuild

* Sun Feb 17 2013 cjw <cjw> 5.5-12.mga3
+ Revision: 398801
- build against motif
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 21 2011 cjw <cjw> 5.5-10.mga1
+ Revision: 89560
- imported package nedit


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 5.5-9mdv2011.0
+ Revision: 613006
- the mass rebuild of 2010.1 packages

* Fri Apr 30 2010 Funda Wang <fwang@mandriva.org> 5.5-8mdv2010.1
+ Revision: 541224
- build with correct BRs

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Dec 21 2008 Adam Williamson <awilliamson@mandriva.org> 5.5-7mdv2009.1
+ Revision: 316923
- rebuild
- new license policy
- small cleanups
- add literal.patch to fix string literal issues
- rediff security.patch

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.org> 5.5-6mdv2008.1
+ Revision: 159380
- requires x11-font-adobe-100dpi (#34665)
- restore spec (tv's last commit somehow left it completely empty)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - do not harcode icon extension
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 19 2007 Adam Williamson <awilliamson@mandriva.org> 5.5-5mdv2008.0
+ Revision: 53641
- oops, drop menu entry from file list
- rebuild with new lesstif
- drop old menu and X-Mandriva category


* Fri Mar 02 2007 Jérôme Soyer <saispo@mandriva.org> 5.5-4mdv2007.0
+ Revision: 130949
- Fix menu entry

  + Olivier Thauvin <nanardon@mandriva.org>
    - fallback to lesstif to not break cross media requirement
    - xdg menu

* Wed Feb 21 2007 Jérôme Soyer <saispo@mandriva.org> 5.5-3mdv2007.1
+ Revision: 123196
- Fix bug #28760
- Import nedit

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 5.5-2mdk
- Rebuild

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.5-1mdk
- 5.5
- some 64-bit fixes, though x86_64 was not affected

* Sat Aug 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.4-2mdk
- fix typo in menu entry

* Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.4-1mdk
- 5.4
- sync with fedora patches

